<div class="card mt-7">
    <div>
        <mat-card>
            <mat-card-title>Zgłoszenie</mat-card-title>
            <mat-card-subtitle>Szczegóły zgłoszenia</mat-card-subtitle>
        </mat-card>
        <div>
            <br>
            <mat-card-subtitle>Zgłaszający</mat-card-subtitle>
            <mat-label>Imię: {{expandedNotificationDto.user.firstName}}</mat-label>
            <br>
            <mat-label>Nazwisko: {{expandedNotificationDto.user.lastName}}</mat-label>
            <br>
            <mat-label>email: {{expandedNotificationDto.user.email}}</mat-label>
            <br>
            <mat-label>Numer telefonu: {{expandedNotificationDto.user.phoneNumber}}</mat-label>
            <br>
        </div>
        <div>
            <br>
            <mat-card-subtitle>Szczegóły zgłoszenia</mat-card-subtitle>
            <mat-label>Opis: {{expandedNotificationDto.description}}</mat-label>
            <br>
            <br>
            <br>
            <mat-label>Zdjęcie dołączone do zawiadomienia</mat-label>
            <br>
            <br>
            <img mat-card-lg-image src="{{url}}">
        </div>
        <div>
            <br>
            <mat-card-subtitle>Typ zgłoszenia i proponowane służby</mat-card-subtitle>
            <mat-label>Nazwa typu zdarzenia: {{expandedNotificationDto.incidentTypeDto.name}}</mat-label>
            <br>
            <mat-label>Opis typu: {{expandedNotificationDto.incidentTypeDto.description}}</mat-label>
            <br>
            <mat-label>Służba: {{expandedNotificationDto.publicServiceDtoList[0].name}}</mat-label>
            <br>
        </div>
        <div>
            <br>
            <mat-card-subtitle>Adress</mat-card-subtitle>
            <mat-label>Ulica i numer {{expandedNotificationDto.address.street}} {{expandedNotificationDto.address.buildingNumber}}</mat-label>
            <br>
            <mat-label>Miasto {{expandedNotificationDto.address.city}}</mat-label>
            <br>
            <br>
        </div>
        <button [disabled]="false" mat-flat-button color="primary" (click)="assignUnit()">Przypisz jednostkę</button>
    </div>

    <agm-map>
    </agm-map>
</div>
<ngx-spinner name="service" [fullScreen]="true" type="ball-spin-clockwise" size="large"></ngx-spinner>

